Subject: Re: gcc-3.4.4-1: c++: cmath: calling std::isnan results in endless loop
From: Jeff Johnston <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Mon, 27 Feb 2006 13:39:19 -0500

Corinna Vinschen wrote:
> Jeff,
> 
> On Feb 27 12:13, Jeff Johnston wrote:
> 
>>Gabriel Dos Reis wrote:
>>
>>>yes, isnan and friends are supposed to be macros only, not functions.
>>
>>I'll start working on a newlib patch for this.
> 
> 
> while you're at it, please do *not* remove the isnan function
> implementation.  It's still required to run applications which
> have been linked against older newlib versions.  Just adding
> a isnan macro should be sufficient, shouldn't it?
> 
> 

Yep, way ahead of you :).  I will rename the current implementations to 
be double-underscored, have the macros call these, and have 
non-underscored versions that directly call the underscored versions.  I 
think that should satisfy all concerns.

-- Jeff J.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/